Bug 214285 - [NEW PORT] deskutils/projectlibre: next generation of openproj
Summary: [NEW PORT] deskutils/projectlibre: next generation of openproj
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-06 21:55 UTC by joe
Modified: 2017-04-19 18:43 UTC (History)
4 users (show)

See Also:


Attachments
deskutils/projectlibre SHAR (7.60 KB, text/plain)
2016-11-06 21:55 UTC, joe
no flags Details
desktutils/projectlibre: SHAR updated for version 1.7.0 (9.63 KB, text/plain)
2017-04-15 14:26 UTC, joe
joe: maintainer-approval+
Details
projectlibre shar file (11.65 KB, patch)
2017-04-17 09:59 UTC, Carlos J. Puga Medina
no flags Details | Diff
projectlibre shar file (12.03 KB, patch)
2017-04-17 12:35 UTC, Carlos J. Puga Medina
no flags Details | Diff
projectlibre shar file (12.01 KB, patch)
2017-04-17 12:42 UTC, Carlos J. Puga Medina
no flags Details | Diff
projectlibre.shar (3.51 KB, patch)
2017-04-19 14:45 UTC, Carlos J. Puga Medina
no flags Details | Diff
projectlibre.shar (3.47 KB, patch)
2017-04-19 15:06 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (joe)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2016-11-06 21:55:24 UTC
Created attachment 176702 [details]
deskutils/projectlibre SHAR

This new port continues on what OpenProj started.

Tested with Poudriere on FreeBSD 11.0-RELEASE.
Comment 1 VVD 2017-01-23 17:41:21 UTC
1.7 was released week ago - can you, pleas, update shar-file? Thanks!

Version 1.7 tested on 11.0-RELEASE-p7 amd64 with openjdk8-8.112.16_3.
Comment 2 joe 2017-04-15 14:26:47 UTC
Created attachment 181810 [details]
desktutils/projectlibre: SHAR updated for version 1.7.0
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-04-15 17:16:11 UTC
Take.
Comment 4 VVD 2017-04-15 18:22:10 UTC
Can somebody add entry to MOVED about replacing deskutils/openproj with deskutils/projectlibre or/and add "EXPIRE" to deskutils/openproj?
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-04-17 09:51:40 UTC
(In reply to vvd from comment #4)

Sure! This detail is taken into account.
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-04-17 09:59:40 UTC
Created attachment 181837 [details]
projectlibre shar file

Some changes were added here.

- Add LICENSE
- Cosmetic fixes
- Fix projectlibre.sh
- Improve pkg-descr
- Sort pkg-plist
Comment 7 Carlos J. Puga Medina freebsd_committer 2017-04-17 12:35:22 UTC
Created attachment 181841 [details]
projectlibre shar file

- Add .desktop entry using DESKTOP_ENTRIES
Comment 8 Carlos J. Puga Medina freebsd_committer 2017-04-17 12:42:20 UTC
Created attachment 181842 [details]
projectlibre shar file

- Remove unneeded USES=desktop-file-utils
Comment 9 Alexey Dokuchaev freebsd_committer 2017-04-19 11:59:55 UTC
Couple of review points if you guys don't mind.

> # Created by: Joe <joe@thrallingpenguin.com>
# Created by: Joseph Benden <joe@thrallingpenguin.com> if I may ask: it makes it look more professional and consistent with other ports.  There is no secret to keep as the full name was used before (e.g. in bug #200540).

> cd ${WRKSRC} \
> 	  && ${FIND} ${DATAFILES} -type d -exec ${MKDIR} ${STAGEDIR}${DATADIR}/{} \; \
> 	  && ${FIND} ${DATAFILES} -type f -exec ${INSTALL_DATA} {} ${STAGEDIR}${DATADIR}/{} \;
Could these three commands be replaced with one ${COPYTREE_SHARE}?

About the icon: generally we don't like adding binary files to ${FILESDIR}, even in an encoded form (base64/uuencode).  It is technically possible but discouraged, and it pollutes SVN more than it benefits from it (e.g., it's not possible to "svn diff" or "svn blame" binary or encoded files).  Using VCS like it's some kind of FTP for dumping your data is bad engineering practice.

Why icon isn't packed with the distfile?  Can upstream be asked to provide a proper download location or regenerate distfile?

As the last resort, committer should put the icon (or any additional assets) to their ~/public_distfiles directory on freefall and use LOCAL/hername in the MASTER_SITES to download those extra assets.
Comment 10 Carlos J. Puga Medina freebsd_committer 2017-04-19 14:45:43 UTC
Created attachment 181907 [details]
projectlibre.shar

According to comment #9

All issues were fixed in the new shar file.

- Use full name for who created the port.
- Use ${COPYTREE_SHARE} macro to install files.
- Add my LOCAL to MASTER_SITES to donwload icon instead adding it to ${FILESDIR}

Thanks for the review, Alexey
Comment 11 Alexey Dokuchaev freebsd_committer 2017-04-19 14:56:44 UTC
Looks much better, thank you.  One more minor neat, this line:

> @${MKDIR} ${STAGEDIR}${DATADIR}
I think COPYTREE-macros create target directory if needed, can you verify and remove explicit MKDIR is that's indeed true?
Comment 12 Carlos J. Puga Medina freebsd_committer 2017-04-19 15:06:53 UTC
Created attachment 181908 [details]
projectlibre.shar
Comment 13 Carlos J. Puga Medina freebsd_committer 2017-04-19 15:07:40 UTC
(In reply to Alexey Dokuchaev from comment #11)

I removed the command.

You're right :)
Comment 14 Alexey Dokuchaev freebsd_committer 2017-04-19 15:19:00 UTC
I think it's committable now, go ahead.
Comment 15 commit-hook freebsd_committer 2017-04-19 15:51:41 UTC
A commit references this bug:

Author: cpm
Date: Wed Apr 19 15:50:46 UTC 2017
New revision: 438887
URL: https://svnweb.freebsd.org/changeset/ports/438887

Log:
  Add new port deskutils/projectlibre

  ProjectLibre is an open source project management software. It intends
  to be a complete desktop replacement for Microsoft Project. ProjectLibre
  is compatible with Microsoft Project 2003, 2007 and 2010 files.

  WWW: http://www.projectlibre.org/product/projectlibre-open-source

  PR:		214285
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Reviewed by:	danfe

Changes:
  head/deskutils/Makefile
  head/deskutils/projectlibre/
  head/deskutils/projectlibre/Makefile
  head/deskutils/projectlibre/distinfo
  head/deskutils/projectlibre/files/
  head/deskutils/projectlibre/files/projectlibre.sh.in
  head/deskutils/projectlibre/pkg-descr
  head/deskutils/projectlibre/pkg-plist
Comment 16 commit-hook freebsd_committer 2017-04-19 17:16:49 UTC
A commit references this bug:

Author: cpm
Date: Wed Apr 19 17:16:19 UTC 2017
New revision: 438895
URL: https://svnweb.freebsd.org/changeset/ports/438895

Log:
  - Re-add for proper repo-copy

  PR:		214285

Changes:
  head/deskutils/Makefile
  head/deskutils/projectlibre/
  head/deskutils/projectlibre/Makefile
  head/deskutils/projectlibre/distinfo
  head/deskutils/projectlibre/files/openproj.sh.in
  head/deskutils/projectlibre/files/projectlibre.sh.in
  head/deskutils/projectlibre/pkg-descr
  head/deskutils/projectlibre/pkg-plist
Comment 17 commit-hook freebsd_committer 2017-04-19 17:53:22 UTC
A commit references this bug:

Author: cpm
Date: Wed Apr 19 17:53:14 UTC 2017
New revision: 438898
URL: https://svnweb.freebsd.org/changeset/ports/438898

Log:
  Mark deprecated and set to expire at 2017-05-19

  OpenProj ceased development and it's founders have forked the old code
  base to become ProjectLibre which is now developed very actively.

  PR:		214285

Changes:
  head/deskutils/openproj/Makefile
Comment 18 Carlos J. Puga Medina freebsd_committer 2017-04-19 17:54:49 UTC
Committed!

Thanks
Comment 19 VVD 2017-04-19 18:43:40 UTC
Thanks!